<!--
Displays a list of tags that are (typically) associated with a competition.

Can diplay them inline (simple horizontal set of icons) or
not inline (vertical set of tags and tag name appearing next to each).
-->
<template>
  <div id="app">
    <span v-for="tag in this.tags" :key="tag.getText()">
      <tag-component style="float: left" :tag="tag"/>
      <span v-if="!inline" style="padding-left: 5px">{{ tag.getText() }}</span>
      <br v-if="!inline"/>
    </span>
  </div>
</template>
<script>
import TagComponent from '@/components/TagComponent'
import Tag from '@/models/Tag'

export default {
    name: 'app',
    props: {
        tags: {
            // Accepts array of tags
            type: Array,
            validator: function(value) {
                for (var i = 0; i < value.length; i++) {
                    if (!(value[i] instanceof Tag)) {
                        return false
                    }
                }
                return true
            }
        },
        inline: {
            type: Boolean,
            default: false
        }
    },
    components: {
        TagComponent: TagComponent
    },
    computed: {
        inlineStyle() {
            if (this.inline) {
                return 'float: left'
            }
            return ''
        }
    }
}
</script>
